

drivers/scsi/qlogicfas.c:190: warning: initialization from incompatible pointer type


---

 25-akpm/drivers/scsi/qlogicfas408.c |    2 +-
 25-akpm/drivers/scsi/qlogicfas408.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/qlogicfas408.c~qlogicfas408-warning-fix drivers/scsi/qlogicfas408.c
--- 25/drivers/scsi/qlogicfas408.c~qlogicfas408-warning-fix	2004-05-16 00:43:33.039561848 -0700
+++ 25-akpm/drivers/scsi/qlogicfas408.c	2004-05-16 00:45:04.437667224 -0700
@@ -538,7 +538,7 @@ int qlogicfas408_device_reset(Scsi_Cmnd 
  *	Return info string
  */
 
-char *qlogicfas408_info(struct Scsi_Host *host)
+const char *qlogicfas408_info(struct Scsi_Host *host)
 {
 	struct qlogicfas408_priv *priv = get_priv_by_host(host);
 	return priv->qinfo;
diff -puN drivers/scsi/qlogicfas408.h~qlogicfas408-warning-fix drivers/scsi/qlogicfas408.h
--- 25/drivers/scsi/qlogicfas408.h~qlogicfas408-warning-fix	2004-05-16 00:44:53.488331776 -0700
+++ 25-akpm/drivers/scsi/qlogicfas408.h	2004-05-16 00:45:02.693932312 -0700
@@ -111,7 +111,7 @@ int qlogicfas408_abort(Scsi_Cmnd * cmd);
 int qlogicfas408_bus_reset(Scsi_Cmnd * cmd);
 int qlogicfas408_host_reset(Scsi_Cmnd * cmd);
 int qlogicfas408_device_reset(Scsi_Cmnd * cmd);
-char *qlogicfas408_info(struct Scsi_Host *host);
+const char *qlogicfas408_info(struct Scsi_Host *host);
 int qlogicfas408_get_chip_type(int qbase, int int_type);
 void qlogicfas408_setup(int qbase, int id, int int_type);
 int qlogicfas408_detect(int qbase, int int_type);

_
